org.apache.ignite.internal.processors.resource

## Enum GridResourceIoc.AnnotationSet

- java.lang.Object
- - java.lang.Enum<GridResourceIoc.AnnotationSet>
  - - org.apache.ignite.internal.processors.resource.GridResourceIoc.AnnotationSet

All Implemented Interfaces:
  Serializable, Comparable<GridResourceIoc.AnnotationSet>

Enclosing class:
  GridResourceIoc

    public static enum GridResourceIoc.AnnotationSet
    extends Enum<GridResourceIoc.AnnotationSet>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENTRY_PROCESSOR`
`GENERIC`
`JOB`
`TASK`

### Field Summary

Fields
`org.apache.ignite.internal.processors.resource.GridResourceIoc.ResourceAnnotation[]` `annotations` Holds annotations in order
`int` `annotationsBitSet` Resource annotations bits for fast checks.

### Method Summary

Methods
`static GridResourceIoc.AnnotationSet` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridResourceIoc.AnnotationSet[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GENERIC

    public static final GridResourceIoc.AnnotationSet GENERIC

#### ENTRY_PROCESSOR

    public static final GridResourceIoc.AnnotationSet ENTRY_PROCESSOR

#### TASK

    public static final GridResourceIoc.AnnotationSet TASK

#### JOB

    public static final GridResourceIoc.AnnotationSet JOB

### Field Detail

#### annotationsBitSet

    public final int annotationsBitSet

Resource annotations bits for fast checks.

#### annotations

    public final org.apache.ignite.internal.processors.resource.GridResourceIoc.ResourceAnnotation[] annotations

Holds annotations in order

### Method Detail

#### values

    public static GridResourceIoc.AnnotationSet[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridResourceIoc.AnnotationSet c : GridResourceIoc.AnnotationSet.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridResourceIoc.AnnotationSet valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016